## refpolicy 2.20220520

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 GREP ?= egrep
 INSTALL ?= install
 M4 ?= m4 -E -E
-PYTHON ?= python3 -t -t -E -W error
+PYTHON ?= python3 -bb -t -t -E -W error
 SED ?= sed
 SORT ?= LC_ALL=C sort
 UMASK ?= umask
@@ -133,6 +133,9 @@
 doctmpdir := $(LOCAL_ROOT)/doc/tmp
 endif
 
+# udica templates path
+udicatemplates := udica-templates
+
 # config file paths
 globaltun := $(poldir)/global_tunables
 globalbool := $(poldir)/global_booleans
@@ -167,20 +170,21 @@
 modpkgdir := $(sharedir)/$(strip $(NAME))
 headerdir := $(modpkgdir)/include
 docsdir := $(prefix)/share/doc/$(PKGNAME)
+udicatemplatesdir := $(prefix)/share/udica/templates
 
 # enable MLS if requested.
 ifeq "$(TYPE)" "mls"
 	M4PARAM += -D enable_mls=true
-	CHECKPOLICY += -M
-	CHECKMODULE += -M
+	override CHECKPOLICY += -M
+	override CHECKMODULE += -M
 	gennetfilter += -m
 endif
 
 # enable MLS if MCS requested.
 ifeq "$(TYPE)" "mcs"
 	M4PARAM += -D enable_mcs=true
-	CHECKPOLICY += -M
-	CHECKMODULE += -M
+	override CHECKPOLICY += -M
+	override CHECKMODULE += -M
 	gennetfilter += -c
 endif
 
@@ -198,7 +202,7 @@
 endif
 
 ifneq ($(OUTPUT_POLICY),)
-	CHECKPOLICY += -c $(OUTPUT_POLICY)
+	override CHECKPOLICY += -c $(OUTPUT_POLICY)
 endif
 
 ifneq "$(CUSTOM_BUILDOPT)" ""
@@ -234,7 +238,7 @@
 	VERBOSE_FLAG = --verbose
 endif
 
-M4PARAM += -D mls_num_sens=$(MLS_SENS) -D mls_num_cats=$(MLS_CATS) -D mcs_num_cats=$(MCS_CATS) -D hide_broken_symptoms=true
+M4PARAM += -D mls_num_sens=$(MLS_SENS) -D mls_num_cats=$(MLS_CATS) -D mcs_num_cats=$(MCS_CATS)
 
 # we need exuberant ctags; unfortunately it is named
 # differently on different distros
@@ -375,5 +379,3 @@
 	@echo "# This is a generated file!  Instead of modifying this file, the" >> $@
 	@echo "# $(notdir $@).in or $(notdir $@).m4 file should be modified." >> $@
 	@echo "#" >> $@
-	$(verbose) cat $@.in >> $@
-	$(verbose) $(GREP) "^[[:blank:]]*(network_(interface|node|port|packet)(_controlled)?)|ib_(pkey|endport)\(.*\)" $< \
