=== debian/changelog ===
refpolicy (2:2.20220520-5) unstable; urgency=medium

  * label apt.systemd.daily and apt-helper as apt_exec_t for systemd cron jobs
  * Allow apt_t to get init, systemd-networkd, and network-manager unit status
  * give systemd_generator_t access to nfsd_fs_t files and
    systemd_transient_unit_t dirs
  * Allow kmod_t to read ssl generit certs
  * Allow systemd_machined_t to get status of systemd_transient_t units

 -- Russell Coker <russell@coker.com.au>  Mon, 26 Sep 2022 19:59:14 +1000

refpolicy (2:2.20220520-4) unstable; urgency=medium

  * Add label for /etc/dkimkeys Closes: #900188
  * Allow chronyd_t to send unix datagrams to unconfined_t and gave it
    dac_read_search Closes: #962223
  * Allow firewalld_t to do netlink_netfilter_socket access, watch
    firewalld_etc_rw_t dirs, and read generic certs
  * Allow init_t to watch for reads on console_device_t for autorelabel
    processing.

 -- Russell Coker <russell@coker.com.au>  Sun, 18 Sep 2022 12:48:43 +1000

refpolicy (2:2.20220520-3) unstable; urgency=medium

  * Allow systemd_passwd_agent_t to stat /proc and read sys/kernel/cap_last_cap
  * Allow systemd_backlight_t to stat sysfs and read SE Linux contexts
  * Allow systemd_logind_t to read localization.
  * Allow lvm_t to read generic certificates for systmd-cryptsetup
  * Allow systemd_logind_t to read udev runtime links
  * Allow systemd-udevd to manage cgroup files
  * Allow systemd_machined_t, systemd_locale_t, lvm_t, systemd_binfmt_t, and
    systemd_backlight_t to statfs /proc
  * give the sys_resource capability to systemd_sysctl_t
  * Allow chromium to read the vm_overcommit sysctl
  * Allow systemd_binfmt_t to check executable status of bin files and search
    cgroup dirs

 -- Russell Coker <russell@coker.com.au>  Thu, 15 Sep 2022 00:03:25 +1000

refpolicy (2:2.20220520-2) unstable; urgency=medium

  * Added label for /usr/sbin/nfsdcld and gave nfsd_t setpcap capability
  * Allow syslogd_t to relabel from/to systemd_journal_t
  * Created 0002-upstream patch file for changes that are in the upstream git

 -- Russell Coker <russell@coker.com.au>  Sun, 14 Aug 2022 00:20:28 +1000

refpolicy (2:2.20220520-1) unstable; urgency=medium

  * new upstream release

 -- Russell Coker <russell@coker.com.au>  Sun, 22 May 2022 21:55:06 +1000

refpolicy (2:2.20220403-3) unstable; urgency=medium

  * little policy fixes
  * Changed build-depends from libsepol1 to libsepol2

 -- Russell Coker <russell@coker.com.au>  Tue, 12 Apr 2022 23:38:26 +1000

refpolicy (2:2.20220403-2) unstable; urgency=medium

  * Allow init to watch_reads on terminal devices
  * Allow init_t to mounton files of type init_t
  * Label /usr/share/unattended-upgrades/* as bin_t
  * Allow systemd_backlight_t to search cgroup dirs
  * Allow lvm_t to getattr a cgroup filesystem
  * Make init_t file handles inheritable by most domains because systemd opens
    devices for getty
  * Make xdm_r the default role for SE Linux user xdm

 -- Russell Coker <russell@coker.com.au>  Thu, 07 Apr 2022 23:36:51 +1000

refpolicy (2:2.20220403-1) unstable; urgency=medium

  * New package based on git.  Will have another proper release soon.
  * Lots of Debian policy upstreamed.
  * Depend on the latest versions of the libraries.

 -- Russell Coker <russell@coker.com.au>  Sun, 03 Apr 2022 17:51:30 +1000

refpolicy (2:2.20210203-10) unstable; urgency=medium

  * Allow mon_local_test_t access to domain_getattr_all_domains() to get the
    context of all processes and to have selinux_get_enforce_mode(),
    selinux_getattr_fs(), and seutil_search_default_contexts() to get the
    enforcing mode for selinux.monitor.  Uploading with just this change
    because I already uploaded mon version 1.3.5-8 with selinux.monitor.

 -- Russell Coker <russell@coker.com.au>  Mon, 08 Nov 2021 13:33:52 +1100

refpolicy (2:2.20210203-9) unstable; urgency=medium

  * Label /opt/google/chrome/chrome_crashpad_handler and
    /opt/google/chrome/crashpad_handler as chromium_exec_t
  * Allow kmod_t to manage bootloader_tmp_t files and allow bootloader_t to
    create and delete /dev/null (for initramfs).  Also allow bootloader_t to
    read udev rules and network config.
  * Merged patches from Topi Miettinen for building only one flavour and for
    correctly making a list of modules even when building is asynchronous.
  * Added patch for /usr/libexec/sssd/sssd_.+ from Sam Morris.

 -- Russell Coker <russell@coker.com.au>  Thu, 21 Oct 2021 14:23:40 +1100

refpolicy (2:2.20210203-8) unstable; urgency=medium

  * Label /etc/ppp/ip-pre-up as pppd_initrc_exec_t
  * Allow wireshark to rw DRI devices, read crypto sysctls, rw the xserver
    mesa shader cache, read the kernel network state, have execmem access
    (probably needed for one of the many shared objects it uses), have setsched
    access, execute lib files (for it's helper programs), manage xdg config
    files (gives warning if it can't do this), manage xdg cache, and read xdg
    data files.
  * Allow acngtool_t the dac_override capability for managing log files
  * Allow pppd to connect create and ioctl pppox_socket and allow it to map
    pppd_runtime_t files.
  * Allow kmod_t, ifconfig_t, and ping_t to use unallocated ttys (for sysadmin
    login on boot failure)
  * Allow ntpd_t to start and stop generic units when systemd is used, for
    systemd-timesyncd.

 -- Russell Coker <russell@coker.com.au>  Mon, 04 Oct 2021 15:06:54 +1100
