=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: bzip2,
-                     checkpolicy (>= 3.0),
+                     checkpolicy (>= 3.3),
                      gawk,
-                     libsepol1 (>= 3.0),
+                     libsepol2 (>= 3.3),
                      m4,
-                     policycoreutils (>= 3.0),
-                     policycoreutils-python-utils (>= 3.0),
+                     policycoreutils (>= 3.3),
+                     policycoreutils-python-utils (>= 3.3),
                      python3,
 # Needed for the --sort=name option, can probably be removed when this version
 # hits stable.
@@ -22,11 +22,11 @@
 
 Package: selinux-policy-default
 Architecture: all
-Depends: libselinux1 (>= 3.0),
-         libsemanage1 (>= 3.0),
-         libsepol1 (>= 3.0),
-         policycoreutils (>= 3.0),
-         selinux-utils (>= 3.0),
+Depends: libselinux1 (>= 3.3),
+         libsemanage2 (>= 3.3),
+         libsepol2 (>= 3.3),
+         policycoreutils (>= 3.3),
+         selinux-utils (>= 3.3),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
@@ -42,11 +42,11 @@
 
 Package: selinux-policy-mls
 Architecture: all
-Depends: libselinux1 (>= 3.0),
-         libsemanage1 (>= 3.0),
-         libsepol1 (>= 3.0),
-         policycoreutils (>= 3.0),
-         selinux-utils (>= 3.0),
+Depends: libselinux1 (>= 3.3),
+         libsemanage2 (>= 3.3),
+         libsepol2 (>= 3.3),
+         policycoreutils (>= 3.3),
+         selinux-utils (>= 3.3),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
